AsyncTelegram2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ReplyKeyboard Class Reference

`#include <ReplyKeyboard.h>`

## Public Member Functions
| ReplyKeyboard ()
| ~ReplyKeyboard ()
bool | addRow (void)
bool | addButton (const char *text, ReplyKeyboardButtonType buttonType=KeyboardButtonSimple)
void | enableResize (void)
void | enableOneTime (void)
void | enableSelective (void)
String | getJSON (void) const
String | getJSONPretty () const
void | clear ()

## Detailed Description

Definition at line 18 of file ReplyKeyboard.h.

## Constructor & Destructor Documentation

## ◆ ReplyKeyboard()

ReplyKeyboard::ReplyKeyboard | ( |  | ) |

Definition at line 3 of file ReplyKeyboard.cpp.

## ◆ ~ReplyKeyboard()

ReplyKeyboard::~ReplyKeyboard | ( |  | ) |

Definition at line 9 of file ReplyKeyboard.cpp.

## Member Function Documentation

## ◆ addButton()

bool ReplyKeyboard::addButton | ( | const char * | text,
|  | ReplyKeyboardButtonType | buttonType = `KeyboardButtonSimple`
| ) |  |

Definition at line 35 of file ReplyKeyboard.cpp.

## ◆ addRow()

bool ReplyKeyboard::addRow | ( | void |  | ) |

Definition at line 11 of file ReplyKeyboard.cpp.

## ◆ clear()

void ReplyKeyboard::clear | ( |  | ) |
| inline

Definition at line 59 of file ReplyKeyboard.h.

## ◆ enableOneTime()

void ReplyKeyboard::enableOneTime | ( | void |  | ) |

Definition at line 163 of file ReplyKeyboard.cpp.

## ◆ enableResize()

void ReplyKeyboard::enableResize | ( | void |  | ) |

Definition at line 132 of file ReplyKeyboard.cpp.

## ◆ enableSelective()

void ReplyKeyboard::enableSelective | ( | void |  | ) |

Definition at line 192 of file ReplyKeyboard.cpp.

## ◆ getJSON()

String ReplyKeyboard::getJSON | ( | void |  | ) | const

Definition at line 221 of file ReplyKeyboard.cpp.

## ◆ getJSONPretty()

String ReplyKeyboard::getJSONPretty | ( |  | ) | const

Definition at line 226 of file ReplyKeyboard.cpp.

The documentation for this class was generated from the following files:

- src/ReplyKeyboard.h
- src/ReplyKeyboard.cpp